> ## Documentation Index
> Fetch the complete documentation index at: https://developers.closebot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a lead instance



## OpenAPI

````yaml https://megastream25-api.closebot.com/swagger/v1/swagger.json put /lead/{leadId}/instance/{botId}
openapi: 3.0.1
info:
  title: CloseBot API
  version: v1
servers:
  - url: https://api.closebot.com
    description: CloseBot API Endpoint
security:
  - Key: []
paths:
  /lead/{leadId}/instance/{botId}:
    put:
      tags:
        - Lead
      summary: Update a lead instance
      parameters:
        - name: leadId
          in: path
          description: The ID of the lead to update.
          required: true
          style: simple
          schema:
            type: string
        - name: botId
          in: path
          description: The ID of the bot to update.
          required: true
          style: simple
          schema:
            type: string
      requestBody:
        description: The update instance input.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InstanceUpdateDto'
          text/json:
            schema:
              $ref: '#/components/schemas/InstanceUpdateDto'
          application/*+json:
            schema:
              $ref: '#/components/schemas/InstanceUpdateDto'
      responses:
        '200':
          description: Success
components:
  schemas:
    InstanceUpdateDto:
      type: object
      properties:
        followUpTime:
          type: string
          description: The follow up time of the instance
          format: date-time
          nullable: true
      additionalProperties: false
  securitySchemes:
    Key:
      type: apiKey
      description: CloseBot API Key Authorization
      name: X-CB-KEY
      in: header

````